#ifndef E_KBD_H
#define E_KBD_H

typedef struct _E_Kbd E_Kbd;

#define E_KBD_TYPE 0xE1b0988

struct _E_Kbd
{
   E_Object             e_obj_inherit;
   E_Zone              *zone;
   E_Popup             *popup;
   Evas_Object         *base_obj;
   Evas_Object         *layout_obj;
   Evas_Object         *event_obj;
   Evas_Object         *hbox_obj;
   Evas_List           *hbox_items;
   Evas_List           *handlers;
   Evas_List           *letters;
   Evas_List           *matches;
   Evas_List           *kbds;
   void                *kbd;
   const char          *themedir;
   const char          *syskbds;
   const char          *sysdicts;
   Ecore_Timer         *delay_hide;
   Ecore_Animator      *animator;
   int                  adjust_start;
   int                  adjust_target;
   int                  adjust;
   double               start;
   double               len;
   unsigned char        out : 1;

   struct {
      Evas_Coord        x, y;
      unsigned char     down : 1;
      unsigned char     stroke : 1;
   } down;
   
   struct {
      E_Popup          *popup;
      Evas_Object      *base_obj;
      Evas_Object      *scrollframe_obj;
      Evas_Object      *ilist_obj;
      Evas_List        *matches;
   } match;
};

EAPI int e_kbd_init(void);
EAPI int e_kbd_shutdown(void);

EAPI E_Kbd *e_kbd_new(E_Zone *zone, const char *themedir, const char *syskbds, const char *sysdicts);
EAPI void e_kbd_show(E_Kbd *kbd);
EAPI void e_kbd_hide(E_Kbd *kbd);
EAPI void e_kbd_safe_app_region_get(E_Zone *zone, int *x, int *y, int *w, int *h);
    
#endif
