/* for complex link stuff */
#include <Ecore.h>
#include <E_DBus.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* FIXME: this needs to get gsm status, not wifi. this just gets wifi right now as a hack */

E_DBus_Connection *conn = NULL;

static void *
signal_unmarhsall(DBusMessage *msg, DBusError *err)
{
   dbus_int32_t str = -1;
   
   if (dbus_message_get_args(msg, NULL, DBUS_TYPE_INT32, &str, DBUS_TYPE_INVALID))
     {
	int *str_ret;
	
	str_ret = malloc(sizeof(int));
	if (str_ret)
	  {
	     *str_ret = str;
	     return str_ret;
	  }
     }
   return NULL;
}

static void
signal_callback(void *data, void *ret, DBusError *err)
{
   if (ret)
     {
	int *str_ret;
	str_ret = ret;
	printf("%i\n", *str_ret);
	fflush(stdout);
     }
}

static void
signal_result_free(void *data)
{
   free(data);
}

static void
get_signal(void)
{
   DBusMessage *msg;
   
   if (!conn) return;
   msg = dbus_message_new_method_call("org.openmoko.qtopia.Phonestatus", 
				      "/Status", 
				      "org.openmoko.qtopia.Phonestatus", 
				      "signalStrength");
   if (!msg) return;
   e_dbus_method_call_send(conn, msg, 
			   signal_unmarhsall,
			   signal_callback,
			   signal_result_free, -1, NULL);
   dbus_message_unref(msg);
}

static void
signal_changed(void *data, DBusMessage *msg)
{
   DBusError err;
   dbus_int32_t str = -1;
   
   dbus_error_init(&err);
   if (!dbus_message_get_args(msg, &err, DBUS_TYPE_INT32, &str, DBUS_TYPE_INVALID))
     return;
   printf("%i\n", str);
   fflush(stdout);
}

int
main(int argc, char **argv)
{
   int sleeptime = 2;

   ecore_init();
   ecore_string_init();
   ecore_app_args_set(argc, (const char **)argv);
   e_dbus_init();
   
   if (argc > 1) sleeptime = atoi(argv[1]);
   conn = e_dbus_bus_get(DBUS_BUS_SESSION);
  
   e_dbus_signal_handler_add(conn,
			     "org.openmoko.qtopia.Phonestatus",
			     "/Status",
			     "org.openmoko.qtopia.Phonestatus",
			     "signalStrengthChanged",
			     signal_changed, NULL);
   get_signal();
   
   ecore_main_loop_begin();
   
   if (conn) e_dbus_connection_close(conn);
   e_dbus_shutdown();
   ecore_string_shutdown();
   ecore_shutdown();
   return 0;
}
